package graphicsDomain;

class GraphUpdateEvent
{
    double minX, maxX, minY, maxY;

    //Constructors
    GraphUpdateEvent(double minX, double maxX)
    {
        this.minX = minX;
        this.maxX = maxX;
    }
    GraphUpdateEvent(double minX, double maxX, double minY, double maxY)
    {
        this.minX = minX;
        this.maxX = maxX;
        this.minY = minY;
        this.maxY = maxY;
    }

   //Accessor methods
    public double getMinX() {return minX;}
    public double getMaxX() {return maxX;}
    public double getMinY() {return minY;}
    public double getMaxY() {return maxY;}
}

